oracle.kv

## Class KVVersion

- java.lang.Object
- - oracle.kv.KVVersion

- All Implemented Interfaces:
    Serializable, Comparable<KVVersion>

      public class KVVersion
      extends Object
      implements Comparable<KVVersion>, Serializable

  Oracle NoSQL DB version information. Versions consist of major, minor and patch numbers. There is one KVVersion object per running JVM and it may be accessed using the static field KVVersion.CURRENT_VERSION.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static KVVersion` | `CURRENT_VERSION`
    `static KVVersion` | `PREREQUISITE_VERSION` Prerequisite version.
    `static KVVersion` | `R1_2_123` Release versions.
    `static KVVersion` | `R2_0_23`
    `static KVVersion` | `R2_1_0`
    `static KVVersion` | `R3_0`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KVVersion(int oracleMajor, int oracleMinor, int majorNum, int minorNum, int patchNum, String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(KVVersion comparedVersion)`
    `boolean` | `equals(Object o)`
    `int` | `getMajor()` Major number of the release version.
    `int` | `getMinor()` Minor number of the release version.
    `String` | `getNumericVersionString()` The numeric version string, without the patch tag.
    `int` | `getOracleMajor()` Oracle Major number of the release version.
    `int` | `getOracleMinor()` Oracle Minor number of the release version.
    `int` | `getPatch()` Patch number of the release version.
    `String` | `getReleaseDate()`
    `String` | `getReleaseId()`
    `String` | `getVersionString()` Release version, suitable for display.
    `int` | `hashCode()`
    `static void` | `main(String[] argv)`
    `static KVVersion` | `parseVersion(String versionString)` Returns a KVVersion object representing the specified version string without the release ID, release date,and name parts filled in.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### R1_2_123

          public static final KVVersion R1_2_123

      Release versions.

    - #### R2_0_23

          public static final KVVersion R2_0_23

    - #### R2_1_0

          public static final KVVersion R2_1_0

    - #### R3_0

          public static final KVVersion R3_0

    - #### CURRENT_VERSION

          public static final KVVersion CURRENT_VERSION

    - #### PREREQUISITE_VERSION

          public static final KVVersion PREREQUISITE_VERSION

      Prerequisite version.

  - ### Constructor Detail

    - #### KVVersion

          public KVVersion(int oracleMajor,
                   int oracleMinor,
                   int majorNum,
                   int minorNum,
                   int patchNum,
                   String name)

  - ### Method Detail

    - #### main

          public static void main(String[] argv)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getOracleMajor

          public int getOracleMajor()

      Oracle Major number of the release version.
      Returns:
        The Oracle major number of the release version.

    - #### getOracleMinor

          public int getOracleMinor()

      Oracle Minor number of the release version.
      Returns:
        The Oracle minor number of the release version.

    - #### getMajor

          public int getMajor()

      Major number of the release version.
      Returns:
        The major number of the release version.

    - #### getMinor

          public int getMinor()

      Minor number of the release version.
      Returns:
        The minor number of the release version.

    - #### getPatch

          public int getPatch()

      Patch number of the release version.
      Returns:
        The patch number of the release version.

    - #### getReleaseId

          public String getReleaseId()

    - #### getReleaseDate

          public String getReleaseDate()

    - #### getNumericVersionString

          public String getNumericVersionString()

      The numeric version string, without the patch tag.
      Returns:
        The release version

    - #### getVersionString

          public String getVersionString()

      Release version, suitable for display.
      Returns:
        The release version, suitable for display.

    - #### parseVersion

          public static KVVersion parseVersion(String versionString)

      Returns a KVVersion object representing the specified version string without the release ID, release date,and name parts filled in. This method is basically the inverse of getNumericVersionString(). This method will also parse a full version string (returned from toString()) but only the numeric version portion of the string.
      Parameters:
        `versionString` - version string to parse
      Returns:
        a KVVersion object

    - #### compareTo

          public int compareTo(KVVersion comparedVersion)

      Specified by:
        `compareTo` in interface `Comparable<KVVersion>`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright (c) 2011, 2014 Oracle and/or its affiliates. All rights reserved.